﻿/*--Template PRODAM - draf 1.0 - --*/
/*--Aracy Bernardes - GVI - Metodologia e Integração / GRD I---*/

.h1{
	background: url(images/linha.gif) bottom repeat-x;
	font-size: 0.90em bold; /* navegadores normais */
    *font-size: 0.90em; /* funciona so no ie 7 */
	_font-size: 0.90em; /* funciona so no ie em versoes anteriores*/
	padding: 6px 0 3px 0;
	color: #3f5b7b;
	margin: 2px;}

.h2{
	background: url(images/linha.gif) bottom repeat-x;
	font-size: 0.80em bolder;
	*font-size: 0.80em;
	_font-size: 0.80em bolder;
	padding: 6px 0 3px 0;
	color: #3f5b7b;
	margin: 2px;}

.h3{
	background: url(images/linha.gif) bottom repeat-x;
	font-size: 0.7em bolder;
    *font-size: 0.7em bolder;
	_font-size: 0.7em bolder;
	padding: 6px 0 3px 0;
	margin: 2px;
	color: #3f5b7b;}
	
/*-----------------tamanhos diversos-----------------------*/
.full {
	width: 600px;
}

.x-large {
	width: 450px;
}

.large {
	width: 295px;
}
.medium 
{
	width: 200px;}

.small {
	width: 122px;
}

.x-small {
	width: 75px;
}

/* ----------DataGRID (table)---------------------*/

.TP_gridTable table{ 
	    border: 1px solid #18345A;important!;
	    font: 0.80em;
	    width:100%;}
	    
	    .TP_gridTable {
	    /*overflow-y:scroll;*/
	    overflow:visible; 
		font: 0.80em;}
	    
	    .TP_gridTable caption{
	    font: 0.80em Arial, Helvetica, sans-serif;
	    *font: .80em Arial, Helvetica, sans-serif;/* funciona so no ie 7 */
	    _font: .80em Arial, Helvetica, sans-serif;/* funciona so nos ies anteriores */
	    color: #18345a;
	    font-weight: bolder;
	    }
	    
	    .TP_gridTable tr{
	    font: Arial, Helvetica, sans-serif;
	    color: #18345A;
	    border: 1px solid #CED5DD;
	    background: #F7F8FA;
	    margin: 2px;
	    padding: 2px 0 2px 0;
	    }
	    
	    .TP_gridTable th{
	    font: 0.80em Arial, Helvetica, sans-serif;
	    *font: 0.80em Arial, Helvetica, sans-serif;/* funciona so nos IEs */
	    _font: 0.80em Arial, Helvetica, sans-serif;/* funciona so nos ies anteriores */
	    color: #18345a;
	    font-weight: bolder;
	    margin: 2px;
	    padding: 2px 4px 2px 4px;
	    background-color: #B1C0D1;
	    }
	    
	    .TP_gridTable em{  
	    font: 0.80em Arial, Helvetica, sans-serif;
	    	*font: 0.80em Arial, Helvetica, sans-serif;
	    	_font: 0.80em Arial, Helvetica, sans-serif;
			color: #18345A;
			font-weight: bold;
	    }
	    
	    .TP_gridTable a{
	    font:  Arial, Helvetica, sans-serif;
	    color: #18345a;
	    text-decoration: underline;
	    font-weight: bolder;
	    }
	    
	    .TP_gridTable a:hover{
	    font:  Arial, Helvetica, sans-serif;
	    color:#27538F;
	    text-decoration: underline;
	    font-weight: bolder;
	    }
	    
	    .TP_gridTable a:visited{
	    font:  Arial, Helvetica, sans-serif;
	    color: #18345a;
	    text-decoration: underline;
	    font-weight: bolder; font-style:italic;
	    }
	    
	    .TP_gridTable a:active{
	    font: Arial, Helvetica, sans-serif;
	    color: #27538F;
	    text-decoration: none;
	    font-weight: bolder;
	    }
	    
	    .TP_gridTable .linha td {
	    font: Arial, Helvetica, sans-serif;
	    color: #18345A;
	    border: 1px solid #CED5DD;
	    background: #F7F8FA;
	    margin: 2px;
	    padding: 2px 4px 2px 4px;
	    font: 0.80em Arial, Helvetica, sans-serif;
	    	*font: 0.80em Arial, Helvetica, sans-serif;
	    	_font: 0.80em Arial, Helvetica, sans-serif;

	    }
	    
	    .TP_gridTable .AlternateItemStyle1 td {
	    	font: 0.80em Arial, Helvetica, sans-serif;
	    	*font: 0.80em Arial, Helvetica, sans-serif;
	    	_font: 0.80em Arial, Helvetica, sans-serif;
	    	color: #18345A;
	    	border: 1px solid #CED5DD;
	    	background: #F7F8FA;
	    	margin: 2px;
	    	padding: 2px 4px 2px 4px;
	    }
	    
	    .TP_gridTable .AlternateItemStyle2 td {
	    	font: 0.80em Arial, Helvetica, sans-serif;
	    	*font: 0.80em Arial, Helvetica, sans-serif;
	    	_font: 0.80em Arial, Helvetica, sans-serif;
	    	color: #18345A;
	    	border: 1px solid #CED5DD;
	    	background: #EBEFF4;
	    	margin: 2px;
	    	padding: 2px 4px 2px 4px;
	    }
	    
	    .TP_gridTable .HeaderStyle td {
	    font: 0.80em  Arial, Helvetica, sans-serif;
	    *font: 0.80em  Arial, Helvetica, sans-serif;
	    _font: 0.80em  Arial, Helvetica, sans-serif;
	    color: #000033;
	    border: 1px solid #CED5DD;
	    background: #C9DAE4;
	    margin: 2px;
	    padding: 2px 4px 2px 4px;
	    font-weight:normal;
	    }
	    
	    .TP_gridTable .EditItemStyle td {
	    	    font: 0.80em  Arial, Helvetica, sans-serif;
	    	    *font: 0.80em  Arial, Helvetica, sans-serif;
	    	    _font: 0.80em  Arial, Helvetica, sans-serif;
	    	    color: #000033;
	    	    border: 1px solid #CED5DD;
	    	    background: #C9DAE4;
	    	    margin: 2px;
	    	    padding: 2px 4px 2px 4px;
	    	    font-weight:normal;
	    }
	    
	    .TP_gridTable .FooterStyle td {
	    font: Arial, Helvetica, sans-serif;
	    color: #18345A;
	    border: 1px solid #CED5DD;
	    background: #B1C4DE;
	    margin: 2px;
	    padding: 2px 4px 2px 4px;
	    font-weight:bold;
	    }
	    
	    .TP_gridTable .ItemStyle td {
	    font: Arial, Helvetica, sans-serif;
	    color: #18345A;
	    border: 1px solid #CED5DD;
	    background: #ffffff;
	    margin: 2px;
	    padding: 2px 4px 2px 4px;
	    font-weight: normal;
	    }
	    
	    .TP_gridTable .SelectedItemStyle {
	    	    font: Arial, Helvetica, sans-serif;
	    	    color: #18345A;
	    	    border: 1px solid #CED5DD;
	    	    background: #cccccc;
	    	    margin: 2px;
	    	    padding: 2px 4px 2px 4px;
	    	    font-weight: normal;
	    }
	    
	    .TP_gridTable  .PagerStyle td {
	    font:  Arial, Helvetica, sans-serif;
	    color: #ffffff;
	    border: 1px solid #CED5DD;
	    background: #6299B7;
	    margin: 2px;
	    padding: 2px 4px 2px 4px;
	    font-weight: bold;
	    text-align: center;
	    }
	    
	    .TP_gridTable.RowStyle
		{ font: 0.80em Arial, Helvetica, sans-serif;
		*font: 0.80em Arial, Helvetica, sans-serif;

      _font: 0.80em Arial, Helvetica, sans-serif;
       border: 1px solid #CED5DD;
		background: #F7F6F3;     
		color: #333333;
        margin: 2px;
        padding: 2px 4px 2px 4px;}


		
/* ----------Painel (DIV)---------------------*/

	    .TP_painel{
	    font: tahoma, VERDANA, Arial, Helvetica, sans-serif;
	    color: #002061;
	    border: 1px solid #999999;
	    /*border: 1px solid #B1C4DE;*/
	    background: #ffffff;
	    margin: 0px;
	    padding: 4px 4px 4px 4px;
	    text-align: center;
	    width:100%;
	    }    
	   	    	    
	    .TP_painel hr{
	    height: 1px;
	    color: #B1C4DE;
	    text-align: center;
	    width:100%;
}

form br {clear:left;} 

/*----- P, Span (caixas de texto)----*/	

.TP_p {
	
	border: 0;
	color: #2e2a1e; 
	width: 97%;
	float: left;
	text-align:justify;
	font: 0.80em Arial, Helvetica, sans-serif;
	    *font: 0.80em Arial, Helvetica, sans-serif;/* funciona so nos IEs */
	    _font: 0.80em Arial, Helvetica, sans-serif;/* funciona so nos ies anteriores */
	}
	
.TP_span {
	border: 0;
	color: #2e2a1e ;
    width: 97%;
	float: left;
	text-align:justify;
	font: 0.80em Arial, Helvetica, sans-serif;
	    *font: 0.80em Arial, Helvetica, sans-serif;/* funciona so nos IEs */
	    _font: 0.80em Arial, Helvetica, sans-serif;/* funciona so nos ies anteriores */
	}

/* ------------- Mensagens na tela - Padronizar para as demais mensagens------------- */
.preenchimentoobrigatorio{
font-style:italic;
font-size:x-small;
color: #CC6600;
margin: 0px 0px 0px 0px;
text-align:right;
}

.MensagemdeErro
{
font-size: 0.70em;
*font-size: 0.70em;
_font-size: 0.70em;
font-family: tahoma, VERDANA, Arial, Helvetica, sans-serif;
color: #990000;
font-weight:bold;
}

.MensagemdeErro1 /* texto mais fino*/
{
font-size: 0.70em;
*font-size: 0.70em;
_font-size: 0.70em;
font-family: tahoma, VERDANA, Arial, Helvetica, sans-serif;
color: #3f5b7b;
}

/* ----------ALERTA--Padronizar para outros tipos de alertas-------*/

#TP_Advertencia{
margin: 0px 0px 1px 8px;
float:left;
width:160px;
text-align:left;
background: url(images/Advertencia.gif) repeat-y;
color: black;
vertical-align:middle;
padding: 0px 0px 0px 18px;
font-size: 0.70em;
font-family: tahoma, VERDANA, Arial, Helvetica, sans-serif;}

/* ALERTA - CORRETO */
#TP_CORRETO {
margin: 0px 0px 1px 8px;
float:left;
text-align:left;
background: url(images/correto.gif) repeat-y;
color: #006600 ;
vertical-align:middle;
padding: 0px 0px 0px 18px;
font-size: 0.70em;
*font-size: 0.70em;
_font-size: 0.70em;
font-family: tahoma, VERDANA, Arial, Helvetica, sans-serif;}

/* ALERTA - ERRO */
#TP_ERRO {
margin: 0px 0px 1px 8px;
float:left;
text-align:left;
background:  url(images/erro.gif) repeat-y;
color: Red;
vertical-align:middle;
padding: 0px 0px 0px 18px;
font-size: 0.70em;
*font-size: 0.70em;
_font-size: 0.70em;
font-family: tahoma, VERDANA, Arial, Helvetica, sans-serif;}


/*Estilo para a caixa de mensagem que exibirá os erros encontrados na validação dos campos, pelo lado servidor - André Quintino GRD I*/
.mensagem{
	position:absolute;
    width:30%;
    border:1px solid #c93;
    background:#ffc;
    right:2px;    
    bottom:25px; 
    text-align:left;
    padding-left: 20px;
      
}

/*Estilo para campos com erro - André Quintino GRD I*/
label.error {
color: red;
font-weight: bold;
}

input.error {
    border: 1px solid red;
    background-color: #FEFFCE;
}

select.error {
    border: 1px solid red;
    background-color: #FEFFCE;
}

/*--------------------------Itens de formulario------------------------*/

.TP_fieldset{
border-left: 1px solid #cccccc; color:#CCCCCC;  /*#EfEfEf; */
border-right: 1px solid #cccccc; color:#CCCCCC;
border-bottom: 1px solid #cccccc; color:#CCCCCC;
border-top: 1px dotted #B1C4DE;
margin:3px 3px 3px 3px;
padding:8px 8px 8px 8px;
color: black;
}

.TP_legend {
font: Arial, Helvetica, sans-serif;
font-size: 0.80em;
*font-size: 0.80em;
_font-size: 0.80em;
font-weight: bolder;
background-color: white; 
color: #2A3C52;
padding: 3px 3px 3px 3px;
margin: 3px 3px 3px 3px;
}
            
/*-------deixar um bloco de texto mais negrito--------*/

.bold { /*para deixar qualquer texto sem formatação em negrito*/
	font-weight: bold; 
}
.italic { /*para deixar qualquer texto sem formatação em italico*/
	font-style: italic;
}
/*-------deixar um texto mais negrito--------*/

.TP_Hyperlink a:link{
font-weight: bold;
color: #000000;
font-size: 0.80em;
*font-size: 0.80em;
_font-size: 0.80em;
text-decoration: none;
}

.TP_Hyperlink a:hover{
color: #FAD004;
text-decoration: underline;
font-weight: bold;
font-size: 0.80em;
*font-size: 0.80em;
_font-size: 0.80em;
}

.TP_Hyperlink a:active{
color: #FAD004;
text-decoration: underline;
font-weight: bold;
font-size: 0.80em;
*font-size: 0.80em;
_font-size: 0.80em;
}

.TP_Hyperlink a:visited{
color: #000000;
text-decoration: none;
font-weight: bold;
font-size: 0.80em;
*font-size: 0.80em;
_font-size: 0.80em;
}

/*--------------------clear------------------*/
.clear{clear:left;}

/*--------------------cria colunas em bloco que parecem TDs------------------*/
.formColuna1{display:block; float:left; width:50%;}
.formColuna2{display:block; float:left;}

/*----------DIFERENTES TIPOS DE comando INPUT -----------*/

.TP_inputTypetext {
	padding: 2px;
	border: 1px solid #B1C0D1;
	background-color:#f7f7f7; 
	display: block;
	font: 0.80em Arial, Helvetica, sans-serif;
	    *font: 0.80em Arial, Helvetica, sans-serif;
	    _font: 0.80em Arial, Helvetica, sans-serif; }
	    
.TP_DropDownList{
	padding: 2px;
	border: 1px solid #B1C0D1;
	background-color:#f7f7f7; 
	display: block;
	font: 0.80em Arial, Helvetica, sans-serif;
	    *font: 0.80em Arial, Helvetica, sans-serif;
	    _font: 0.80em Arial, Helvetica, sans-serif; }

.TP_inputtypefield{
	padding: 2px;
	border: 1px solid #B1C0D1;
	background-color:#f7f7f7; 
	display: block;
	font: 0.80em Arial, Helvetica, sans-serif;
	    *font: 0.80em Arial, Helvetica, sans-serif;
	    _font: 0.80em Arial, Helvetica, sans-serif; }

.TP_inputtypeselect {
	padding: 2px;
	border: 1px solid #B1C0D1;
	background-color:#f7f7f7; 
	display: block;
	font: 0.80em Arial, Helvetica, sans-serif;
	    *font: 0.80em Arial, Helvetica, sans-serif;
	    _font: 0.80em Arial, Helvetica, sans-serif; }

.TP_inputtypefile {
	padding: 2px;
	border: 1px solid #B1C0D1;
	background-color:#f7f7f7; 
	display: block;
	font: 0.80em Arial, Helvetica, sans-serif;
	    *font: 0.80em Arial, Helvetica, sans-serif;
	    _font: 0.80em Arial, Helvetica, sans-serif; }

.TP_RadionButton {
	padding: 2px;
	border: 1px solid #e9e9e9;
	background-color:#f7f7f7;
	display: block;
	font: 0.80em Arial, Helvetica, sans-serif;
	    *font: 0.80em Arial, Helvetica, sans-serif;
	    _font: 0.80em Arial, Helvetica, sans-serif; }

.TP_BotaoFecharValidaForm{
	background:  url(images/close.png) no-repeat;
	width: 20px;
	height: 20px;
	font-size: 0.6em;
	border-style:hidden;
}

/*------------------botões BUTTONS Laranja Default-------------------------------*/

.TP_Button1 {
    margin:10;
	padding: 2px 2px 2px 2px;
	border: 1px solid #e9e9e9;
	background-color: #e5934A;
	color:black; 
	border-style: outset;
	/*font-weight: bold;*/
	font-family: Helvetica,tahoma;
}

.TP_Button1Disabled1 {
    margin:10;
	padding: 2px 2px 2px 2px;
	border: 1px solid #e9e9e9;
	background-color: #e5934A; 
	color:gray;
	border-style: outset;
	font-family:Helvetica,tahoma; 
	font-style:italic;
}

/*------------------botões BUTTONS AZUL-------------------------------*/
.TP_Button2 {
    margin:10;
	padding: 2px 2px 2px 2px;
	border: 1px solid #e9e9e9;
	background-color: #3883C2;*/ /*Azul de fundo*/
	color:#FFFFFF; */ /*cor da fonte branca com fundo azul*/
	border-style: outset;
	font-family: Helvetica,tahoma;
}

.TP_Button1Disabled2 {
    margin:10;
	padding: 2px 2px 2px 2px;
	border: 1px solid #e9e9e9;
	background-color: #e5934A; /*com fonte black*/
	color:gray; /*com fundo laranja*/
	/*background-color: #3883C2;*/ /*Azul de fundo*/
	/*color:#FFFFFF; */ /*cor da fonte branca com fundo azul*/
	border-style: outset;
	/*font-weight: bold;*/
	font-family:Helvetica,tahoma; font-style:italic;
}

.TP_ImageButton {
	margin:10;
	padding: 2px 2px 2px 2px;
	height:30px;
	background: #fff url(../images/btn2.gif) no-repeat 0 0;
	
}

.botoes{ /* Layout da DIV que contém os botões .button*/
float:right; 
text-align:right;
}

/*--------------- link button (rederiza href)-----------------*/

.TP_LinkButton a {
	font-family:Arial, Helvetica, tahoma;
	font-size:0.80em;
	*font-size:0.80em;
	_font-size:0.80em;
	    color: #2A3C52;
	    text-decoration: underline;
	    font-weight: normal;
	    }
	    
.TP_LinkButton a:hover{
	font-family:Arial, Helvetica, tahoma;
	font-size:0.80em;
	*font-size:0.80em;
	_font-size:0.80em;
	     color: #2A3C52;
	    text-decoration: underline;
	    font-weight: normal;
	    }
	    
.TP_LinkButton a:visited{
	font-family:Arial, Helvetica, tahoma;
	font-size:0.80em;
	*font-size:0.80em;
	_font-size:0.80em;
	     color: #2A3C52;
	    text-decoration: underline;
	    font-weight: normal;	    }
	    
.TP_LinkButton a:active{
	font-family:Arial, Helvetica, tahoma;
	font-size:0.80em;
	*font-size:0.80em;
	_font-size:0.80em;
	     color: #2A3C52;
	    text-decoration: none;
	    font-weight: normal;
	    }

/*--------------------LABEls de tamanhos diferentes------------------*/

.TP_label
{
	display: block;
	margin: 2px;
	padding: 2px 0 6px 0;
	/*line-height: 1em;*/
	float: left;
	font-family:Arial, Helvetica, tahoma;
	font-size:0.80em;
	*font-size:0.80em;
	_font-size:0.80em;
	font-weight:bold;
	color:#000000;
}

.TP_label.full {
	width: 600px;
}

.TP_label.x-large {
	width: 450px;
}

.TP_label.large {
	width: 295px;
}

.TP_label.small {
	width: 122px;
}

.TP_label.x-small {
	width: 70px;
}
/*----------------DIVs principais-----------------------*/

#int_baixo {
    width: 73%; 
	background:#FFFFFF;
	position: relative;
	float: left; padding: 5px;
}
.TP_miolo{
	width: 99%;
	margin: 0px 10px 0px 10px; 
	}
	
/*-------------Identificacao da tela e Copyright/Copyleft-------------------------*/

#TP_identificaTELA{
	font-style: italic;
	font-family: Arial;
	font-size: x-small;
	width: 97%;
	color: Gray;
	margin: 2px 2px 2px 2px;
	text-align: right;
	vertical-align:bottom;
	}
/*-----------------------O que é ambiente invisível?-------------*/
.ambienteBDVisivel
{
background-color:Gray;
font-size:medium;
font-weight:bold;
width:100%;
}

/*-----------------------O que é ambiente oculto?-------------*/
.ambienteBDOculto
{
display:none;
}